# AWS EKS RBAC Module Chart

## TL;DR

## Introduction

## Prerequisites

- Kubernetes 1.19+
- Helm 3.2.0+

## Using the Chart

## Parameters

### Global parameters

| Name                            | Description                                                                                                 | Value                            |
| ------------------------------- | ----------------------------------------------------------------------------------------------------------- | -------------------------------- |
| `global.chartNameOverride`      | Overrides the chart name.                                                                                   | `""`                             |
| `global.releaseNameOverride`    | Overrides the release name.                                                                                 | `""`                             |
| `global.tags`                   | Define common tags for all IAC and app resources generated by this chart.                                   | `{}`                             |
| `global.labels`                 | Define common labels for all IAC and app resources generated by this chart.                                 | `{}`                             |
| `global.annotations`            | Define common annotations for all IAC and app resources generated by this chart.                            | `{}`                             |
| `global.awsAccountId`           | Default aws account id for crossplane aws provider resources. Quotes are important, value must be a string. | `0123456789`                     |
| `global.awsMgmtAccountId`       | Management AWS account that runs the main mgmt cluster + argocd + crossplane.                               | `0123456789`                     |
| `global.awsRegion`              | Default aws region for crossplane aws provider resources.                                                   | `us-east-2`                      |
| `global.providerConfigRef.name` | Default crossplane provider all resources generated for crossplane.                                         | `crossplane-provider-config-aws` |
| `global.awsDeletionPolicy`      | Default crossplane deletion policy for all resources deployed by this helm chart..                          | `Orphan`                         |
| `global.environment`            | Environment name for the eks cluster                                                                        | `dev`                            |
| `global.argocdIAMRole`          | Argo CD IAM role to grant cross account assume role permissions                                             | `argo-cd`                        |
| `global.crossplaneNamespace`    | Crossplane namespace for storing the EKS cluster config                                                     | `infra-crossplane`               |
| `global.crossplaneIAMRole`      | Crossplane IAM Role                                                                                         | `crossplane-provider-aws`        |
| `global.karpenterNodeRoleName`  | Karpenter IAM Role                                                                                          | `infra-aws-eks-karpenter-node`   |
| `global.teamAdminIAMRole`       | Grant EKS admin permissions to this IAM Role                                                                | `infra-admins`                   |


### Dependency: crossplane-aws-iam upstream helm chart parameters




### Dependency: crossplane-kubernetes upstream helm chart parameters














## Configuration and installation details


## Troubleshooting


## Notable changes
